Package: org.codehaus.groovy.classgen

## [Java] Class ExtendedVerifier

- org.codehaus.groovy.classgen.ExtendedVerifier

- A specialized Groovy AST visitor meant to perform additional verifications upon the current AST. Currently it does checks on annotated nodes and annotations itself.

  Current limitations: - annotations on local variables are not supported

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `JVM_ERROR_MESSAGE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExtendedVerifier (SourceUnit sourceUnit)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addError(String msg, ASTNode expr)`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `protected boolean` | `isAnnotationCompatible()` Check if the current runtime allows Annotation usage.
    `` | `protected void` | `visitAnnotations(AnnotatedNode node, int target)`
    `` | `void` | `visitClass(ClassNode node)`
    `` | `void` | `visitConstructor(ConstructorNode node)`
    `` | `void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `` | `void` | `visitField(FieldNode node)`
    `` | `void` | `visitGenericType(GenericsType genericsType)`
    `` | `void` | `visitMethod(MethodNode node)`
    `` | `void` | `visitProperty(PropertyNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitField, visitMethod, visitPackage, visitReturnStatement, visitConstructor, visitProperty, visitClass, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitCaseStatement, visitExpressionStatement, visitSynchronizedStatement, visitBlockStatement, visitAssertStatement, visitTryCatchFinally, visitCatchStatement, visitDeclarationExpression, visitSwitch, visitWhileLoop, visitForLoop, visitIfElse, visitDoWhileLoop, visitImports, visitAnnotations, visitConstantExpression, visitPropertyExpression, visitListExpression, visitClassExpression, visitArgumentlistExpression, visitClosureExpression, visitMethodCallExpression, visitTupleExpression, visitVariableExpression, visitPrefixExpression, visitShortTernaryExpression, visitRangeExpression, visitCastExpression, visitStaticMethodCallExpression, visitSpreadExpression, visitUnaryPlusExpression, visitGStringExpression, visitClosureListExpression, visitFieldExpression, visitBinaryExpression, visitMapEntryExpression, visitConstructorCallExpression, visitPostfixExpression, visitBooleanExpression, visitArrayExpression, visitNotExpression, visitTernaryExpression, visitUnaryMinusExpression, visitAttributeExpression, visitMapExpression, visitMethodPointerExpression, visitBitwiseNegationExpression, visitSpreadMapExpression, visitBytecodeExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitConstantExpression, visitPropertyExpression, visitListExpression, visitReturnStatement, visitClassExpression, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitCaseStatement, visitExpressionStatement, visitSynchronizedStatement, visitArgumentlistExpression, visitClosureExpression, visitMethodCallExpression, visitTupleExpression, visitBlockStatement, visitVariableExpression, visitAssertStatement, visitTryCatchFinally, visitPrefixExpression, visitCatchStatement, visitShortTernaryExpression, visitRangeExpression, visitCastExpression, visitStaticMethodCallExpression, visitSpreadExpression, visitUnaryPlusExpression, visitGStringExpression, visitClosureListExpression, visitFieldExpression, visitDeclarationExpression, visitBinaryExpression, visitMapEntryExpression, visitConstructorCallExpression, visitPostfixExpression, visitBooleanExpression, visitArrayExpression, visitNotExpression, visitTernaryExpression, visitUnaryMinusExpression, visitAttributeExpression, visitMapExpression, visitMethodPointerExpression, visitBitwiseNegationExpression, visitSpreadMapExpression, visitBytecodeExpression, visitSwitch, visitWhileLoop, visitForLoop, visitIfElse, visitDoWhileLoop, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String JVM_ERROR_MESSAGE

  - ### Constructor Detail

    - #### public ExtendedVerifier(SourceUnit sourceUnit)

  - ### Method Detail

    - #### protected void addError(String msg, ASTNode expr)

    - #### @Override protected SourceUnit getSourceUnit()

    - #### protected boolean isAnnotationCompatible()

      Check if the current runtime allows Annotation usage.

      Returns:
        true if running on a 1.5+ runtime

    - #### protected void visitAnnotations(AnnotatedNode node, int target)

    - #### public void visitClass(ClassNode node)

    - #### public void visitConstructor(ConstructorNode node)

    - #### @Override public void visitDeclarationExpression(DeclarationExpression expression)

    - #### public void visitField(FieldNode node)

    - #### public void visitGenericType(GenericsType genericsType)

    - #### public void visitMethod(MethodNode node)

    - #### public void visitProperty(PropertyNode node)